(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Arial", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Arial", 14, L0, center, nohscroll, bold;
	fontset = section, "Arial", 14, L0, bold, grayBox;
	fontset = subsection, "Arial", 12, L0, bold, blackBox;
	fontset = subsubsection, "Arial", 10, L0, bold, whiteBox;
	fontset = text, "Arial", 12, L0;
	fontset = smalltext, "Arial", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Arial", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Arial", 10, L0, nohscroll;
	fontset = clipboard, "Arial", 12, L0, nohscroll;
	fontset = completions, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Arial", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Arial", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = title; inactive; startGroup; Cclosed; nohscroll; center; ]

Esempi e stili di programmazione
:[font = subtitle; inactive; nohscroll; center; ]

Successione di Fibonacci
F(0)=F(1)=1
F(n)=F(n-1)+F(n-2)
:[font = smalltext; inactive; endGroup; ]
Spunti da MCmicrocomputer n.140, maggio 1994
:[font = section; inactive; startGroup; Cclosed; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed32768; fontColorGreen0; fontColorBlue32768; italic; fontName = "Arial"; fontSize = 14; ]
Programmazione imperativa
:[font = input; nowordwrap; ]

fib1[n_]:=
	Module[{uno,due,temp,i},
	uno=1;due=1;
	For[i=1,i<n,i++,
	    temp=uno;
	    uno=temp+due;
            due=temp];
        uno] /; IntegerQ[n]

:[font = input; nowordwrap; ]
IntegerQ[2.1]
:[font = input; nowordwrap; ]
fib1[20]
:[font = input; nowordwrap; ]
fib2[n_]:=
	Module[{uno=1,due=1},
	Do[{uno,due}={uno+due,uno},{n-1}];
	uno] /; IntegerQ[n]
:[font = input; endGroup; nowordwrap; ]
fib2[20]
:[font = section; inactive; startGroup; Cclosed; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed32768; fontColorGreen0; fontColorBlue32768; italic; fontName = "Arial"; fontSize = 14; ]
Programmazione alla LISP
:[font = input; nowordwrap; ]
fib3[n_ /; IntegerQ[n]] := 
            If[n<2, 1, fib3[n-1] + fib3[n-2]];
:[font = input; endGroup; nowordwrap; ]
fib3[20]
:[font = section; inactive; startGroup; Cclosed; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed32768; fontColorGreen0; fontColorBlue32768; italic; fontName = "Arial"; fontSize = 14; ]
Programmazione dichiarativa simile al Prolog
:[font = input; nowordwrap; ]
fib4[0]=1;
fib4[1]=1;
fib4[n_Integer]=fib4[n-1]+fib4[n-2];
:[font = input; nowordwrap; ]
g[n_Integer]:=n
:[font = input; nowordwrap; ]
g[2]
:[font = input; nowordwrap; ]
g[2.2]
:[font = input; endGroup; nowordwrap; ]
fib4[20]
:[font = section; inactive; startGroup; Cclosed; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed32768; fontColorGreen0; fontColorBlue32768; italic; fontName = "Arial"; fontSize = 14; ]
 . . .   con memoria
:[font = input; nowordwrap; ]
a=b=1+1;
a
:[font = input; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
fib5[0]=1;
fib5[1]=1;
fib5[n_Integer]:=fib5[n]=fib5[n-1]+fib5[n-2];
:[font = input; nowordwrap; ]
fib5[3]
:[font = input; nowordwrap; ]
?fib5
:[font = input; nowordwrap; ]
fib5[20]
:[font = input; endGroup; nowordwrap; ]
fib5[19]
:[font = section; inactive; startGroup; Cclosed; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed32768; fontColorGreen0; fontColorBlue32768; italic; fontName = "Arial"; fontSize = 14; ]
 Un esempio di programmazione funzionale
:[font = input; nowordwrap; ]
fibStep[{a_,b_}]:={a+b,a}
:[font = input; nowordwrap; ]
Nest[fun,x,3]
:[font = input; nowordwrap; ]
Nest[fibStep,{1,1},3] [[1]]
:[font = input; nowordwrap; ]
fib6[n_Integer /; n>0]:=
                    Nest[fibStep,{1,1},n-1][[1]]
:[font = input; endGroup; nowordwrap; ]
fib6[20]
^*)